#!/usr/bin/wish
#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global che20; set che20 {1}
global che21; set che21 {1}
global dsp_dir; set dsp_dir {/dev/dsp}
global install_dir; set install_dir {/opt/Gmurf}
global widget; 
#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv


proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel \
        -cursor xterm 
    wm focusmodel $base passive
    wm geometry $base 329x204+276+245
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "Gmurf Compilation Setup"
    label $base.lab18 \
        -borderwidth 1 -relief raised -text {Gmurf installation directory:} 
    entry $base.ent19 \
        -textvariable install_dir 
    button $base.but21 \
        \
        -command {exec xterm -e scripts/configure.sh $install_dir $dsp_dir $che20 $che21
exit} \
        -padx 9 -pady 3 -text Ok 
    button $base.but22 \
        -command exit -padx 9 -pady 3 -text Cancel 
    label $base.lab17 \
        -borderwidth 1 -relief raised \
        -text {Default sound device if you dont use the true OSS:} 
    entry $base.ent18 \
        -textvariable dsp_dir 
    checkbutton $base.che20 \
        -text {Use Linux Open Sound System or emulation} -variable che20 
    checkbutton $base.che21 \
        -text {Use the esound API if available} -variable che21 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.lab18 \
        -x 5 -y 10 -anchor nw -bordermode ignore 
    place $base.ent19 \
        -x 5 -y 30 -width 308 -height 22 -anchor nw -bordermode ignore 
    place $base.but21 \
        -x 10 -y 165 -anchor nw -bordermode ignore 
    place $base.but22 \
        -x 55 -y 165 -width 63 -height 26 -anchor nw -bordermode ignore 
    place $base.lab17 \
        -x 5 -y 65 -anchor nw -bordermode ignore 
    place $base.ent18 \
        -x 5 -y 85 -width 313 -height 22 -anchor nw -bordermode ignore 
    place $base.che20 \
        -x 5 -y 115 -anchor nw -bordermode ignore 
    place $base.che21 \
        -x 5 -y 135 -anchor nw -bordermode ignore 
}

Window show .
Window show .top17

main $argc $argv
